Retrieve MCP Servers in a Project
/ic/api/integration/v1/projects/{projectId}/mcp/servers
Request
-
projectId(required): string
Project identifierExample:
MCP_PROJECT
-
expand: string
Set to adapter to include adapter details. The value is case-insensitive; unsupported expansion values are rejected.Example:
adapter -
integrationInstance(required): string
This is the name of the service instance. You can get this value from the About page where it is specified in the Service instance field.Example:
example-instance -
label: string
Label parameter
-
limit: integer(int32)
Use with the offset parameter for paginating through the returned results.
-
offset: integer(int32)
Use with the limit parameter for paginating through the returned results.
-
orderBy: string
Orders MCP servers by name, last updated time, or adapter type.
Valid values: name, time, type. Values are case-sensitive after trimming whitespace; direction suffixes are not supported.
-
q: string
Filters MCP servers using connection query fields such as name and status. Filtering by code is not supported. The oracle:mcp adapter type is applied automatically; do not include a type filter.
Example:
{name:'MCP Server', status:'CONFIGURED'} -
return: string
Set to minimal (case-sensitive) to request a reduced connection representation. If omitted, the normal representation is returned.
There's no request body for this operation.
Back to TopResponse
- application/vnd.oracle.model+json;type=collection
- application/json; charset=utf-8
200 Response
object-
hasMore: boolean
Whether more records are available.
-
items: array
items
List of MCP server connections.
-
limit: integer
(int32)
Maximum number of records returned.
-
links: array
links
Suite link list.
-
totalResults: integer
(int32)
Total results.
array-
Array of:
object MCP2610_ConnectionRs
Connection properties and security configuration used to create an MCP server.
array-
Array of:
object MCP2610_SuiteLink
A link to a related REST resource, including its HTTP method when supplied.
object-
adapter:
adapter
Adapter identity and capabilities.
-
adapterType:
adapterType
Adapter identity and type.
-
adminEmail: string
Administrator's Email
-
agentGroupId: string
Agent Group Identifier
-
agentRequired: boolean
Agent Required
-
agentSupported: boolean
Agent Supported
-
connectionProperties: array
connectionProperties
List of Connection Properties
-
created: string
(date-time)
Created
-
createdBy: string
Created By
-
description: string
Description
-
hasOverride: boolean
hasOverride the Connection
-
id: string
Resource identifier.
-
keywords: string
Keywords
-
lastRefreshedDate: string
(date-time)
Last Refresh Date
-
lastUpdated: string
(date-time)
Last Updated
-
lastUpdatedBy: string
Last Updated By
-
links: array
links
Links to related resources.
-
lockedBy: string
Locked By
-
lockedDate: string
(date-time)
Locked Date
-
lockedFlag: boolean
Locked Flag
-
metadataDownloadState: string
Metadata Download State
-
metadataDownloadSupportedFlag: boolean
Metadata Download Supported Flag
-
name: string
Connection Name
-
overrideProperties:
overrideProperties
Override Properties.
-
percentageComplete: number
Connection Completion Percentage
-
privateEndpoint: boolean
Private EndPoint
-
privateEndpointSupported: boolean
Private Endpoint Supported
-
processingTime: number
(float)
Server-reported processing time.
-
projectId: string
Project identifier.
-
projectName: string
Project display name.
-
refreshedStatus: string
Refreshed Status
-
role: string
Allowed Values:
[ "SOURCE", "TARGET", "SOURCE_AND_TARGET" ]Adapter Integration Role -
scope: string
Scope of the Connection
-
securityPolicy: string
Security Policy
-
securityPolicyInfo: array
securityPolicyInfo
List of Security Policies
-
securityProperties: array
securityProperties
List of Security Properties
- sharedFlag: boolean
-
status: string
Connection Status
-
testStatus: boolean
Test Status
-
testWarnings: string
Test Warning
-
usage: integer
(int32)
Usage
-
usageActive: integer
(int32)
Active Usage
-
wsdlListDir: array
wsdlListDir
List of WSDL
-
object
MCP2610_AdapterTypeRs
Adapter
-
object
MCP2610_AdapterTypeBaseRs
Adapter identity and display metadata.
array-
Array of:
object MCP2610_ConnectionPropertyRs
A connection or security property, including its value, validation metadata, and optional attachment.
array-
Array of:
object MCP2610_Link
A link to a related REST resource.
-
object
OverridePropertiesRs
Project-specific connection override metadata.
array-
Array of:
object MCP2610_SecurityPolicyInfoRs
Connection authentication policy and its security properties.
array-
Array of:
object MCP2610_ConnectionPropertyRs
A connection or security property, including its value, validation metadata, and optional attachment.
object-
allowedDomains: array
allowedDomains
Allowed Domains.
-
customSecurityPolicyDescription: string
Custom Security Policy Description.
-
defaultSecurityPolicies: string
Default Security Policies.
-
description: string
Resource description.
-
displayName: string
Display Name.
-
features: string
Features.
-
genericAuthSupport: array
genericAuthSupport
Generic Auth Support.
-
icons:
icons
Adapter icon URLs.
-
id: string
Resource identifier.
-
infoMessage: string
Info Message.
-
integrationRole: string
Allowed Values:
[ "SOURCE", "TARGET", "SOURCE_AND_TARGET" ]Integration Role. -
links: array
links
Links to related resources.
-
name: string
Resource display name.
-
oauth3LeggedSupport: array
oauth3LeggedSupport
Oauth3 Legged Support.
-
otherVersions: string
Other Versions.
-
supportedSecurityPolicies: string
Supported Security Policies.
-
testKey: string
Test Key.
-
testMessage: string
Test Message.
-
type: string
Type.
-
validateAndTestKey: string
Validate And Test Key.
-
validateAndTestMessage: string
Validate And Test Message.
-
vendorInfo:
vendorInfo
Adapter vendor information.
-
version: string
Resource version.
-
wsdlvalidation: boolean
Wsdlvalidation.
array-
Array of:
string
Authentication policy identifier provided by the adapter.
-
object
MCP2610_AdapterIconsRs
Icon URLs associated with an adapter.
array-
Array of:
object MCP2610_SuiteLink
A link to a related REST resource, including its HTTP method when supplied.
array-
Array of:
string
Authentication policy identifier provided by the adapter.
-
object
MCP2610_AdapterVendorInfo
Vendor and documentation details for an adapter.
object-
largeIconUrl: string
Large Icon Url.
-
mediumGrayIconUrl: string
Medium Gray Icon Url.
-
mediumIconUrl: string
Medium Icon Url.
-
mediumWhiteIconUrl: string
Medium White Icon Url.
-
smallIconUrl: string
Small Icon Url.
object-
href: string
URL of the linked resource.
-
mediaType: string
Media type of the linked resource.
-
method: string
HTTP method for the link.
-
rel: string
Relationship of the linked resource.
object-
contactUS: string
Contact US.
-
description: string
Resource description.
-
documentationURL: string
Documentation URL.
-
name: string
Resource display name.
-
releaseNotes: string
Release Notes.
-
supportURL: string
Support URL.
object-
displayName: string
Display Name.
-
id: string
Resource identifier.
-
links: array
links
Links to related resources.
-
name: string
Resource display name.
-
type: string
Type.
array-
Array of:
object MCP2610_SuiteLink
A link to a related REST resource, including its HTTP method when supplied.
object-
acceptableKeys: array
acceptableKeys
Permitted values for the adapter property.
-
attachment:
attachment
Attachment associated with this connection property.
-
defaultPropertyValue: string
Default Property Value.
-
displayName: string
Display Name.
-
hasAttachment: boolean
Has Attachment.
- hiddenFlag: boolean
-
integrationRole: string
Allowed Values:
[ "SOURCE", "TARGET", "SOURCE_AND_TARGET" ]Integration Role. -
propertyDescription: string
Property Description.
-
propertyGroup: string
Allowed Values:
[ "CREDENTIALS", "SOURCE_ARTIFACTS", "CONNECTION_PROPS", "CUSTOM", "OTHER" ]Property Group. -
propertyName: string
Property Name.
-
propertyShortDesc: string
Property Short Desc.
-
propertyType: string
Allowed Values:
[ "STRING", "NUMBER", "URL", "WSDL_URL", "XSD_URL", "WADL_URL", "FILE", "PASSWORD", "URL_OR_FILE", "LIST", "MAP", "TEXT", "CHOICE", "BOOLEAN", "ARTIFACT_URL", "LIST_OF_MAPS", "CONCRETE_WSDL" ]Property Type. -
propertyValue: string
Property Value.
-
requiredFlag: boolean
Required Flag.
array-
Array of:
object MCP2610_AdapterKey
An acceptable adapter property value and its integration-role scope.
-
object
MCP2610_ConnectionAttachmentRs
Connection attachment and the property to which it belongs.
object-
displayName: string
Display Name.
-
keyName: string
Key Name.
-
scope: string
Allowed Values:
[ "SOURCE", "TARGET", "SOURCE_AND_TARGET" ]Integration-role scope.
object-
attachment:
attachment
Attachment associated with this connection property.
-
attachmentName: string
Attachment Name.
-
propertyName: string
Property Name.
-
signature: string
Signature.
-
object
MCP2610_BaseAttachmentRs
Attachment metadata and content associated with a connection property.
object-
attachmentName: string
Attachment Name.
-
content: string
Content.
-
localFilePath: string
Local File Path.
-
propertyName: string
Property Name.
-
signature: string
Signature.
object-
href: string
URL of the linked resource.
-
mediaType: string
Media type of the linked resource.
-
rel: string
Relationship of the linked resource.
object-
code: string
Resource code.
-
name: string
Resource display name.
-
projectCode: string
Project Code.
-
status: string
Current resource state.
object-
scope: string
Allowed Values:
[ "SOURCE", "TARGET", "SOURCE_AND_TARGET" ]Integration-role scope. -
securityPolicy: string
Security Policy.
-
securityProperties: array
securityProperties
Security Properties.
array-
Array of:
object MCP2610_ConnectionPropertyRs
A connection or security property, including its value, validation metadata, and optional attachment.
400 Response
401 Response
404 Response
500 Response
Examples
The following example shows how to retrieve MCP servers configured for a project by submitting a GET request on the REST resource using cURL. For more information about cURL, see Use cURL. For more information about endpoint URL structure, see Send Requests.
Example: Retrieve MCP Servers in a Project
curl --request GET --include \
--url "${BASE_URL}/ic/api/integration/v1/projects/${PROJECT_ID}/mcp/servers?integrationInstance=${INTEGRATION_INSTANCE}" \
--header "Authorization: Bearer ${ACCESS_TOKEN}" \
--header "Accept: application/json"